Index: branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs
===================================================================
--- branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs	(revision 96)
+++ branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs	(revision 97)
@@ -8624,69 +6373,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<SystemMaster> BuffList = new List<SystemMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMSystem.SystemColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        SystemMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += CurRec.SystemCode.ToString();
-                        strSQL += ",'" + CurRec.CompanyName1 + "'";
-                        strSQL += ",'" + CurRec.CompanyName2 + "'";
-                        strSQL += ",'" + CurRec.CEOName + "'";
-                        strSQL += ",'" + CurRec.CEOPositionName + "'";
-                        strSQL += ",'" + CurRec.ZipCode + "'";
-                        strSQL += ",'" + CurRec.Address1 + "'";
-                        strSQL += ",'" + CurRec.Address2 + "'";
-                        strSQL += ",'" + CurRec.Address3 + "'";
-                        strSQL += ",'" + CurRec.PhoneNumber + "'";
-                        strSQL += ",'" + CurRec.FaxNumber + "'";
-                        strSQL += ", " + CurRec.ConstructionExpenses.ToString();
-                        strSQL += ", " + CurRec.OfficeExpenses.ToString();
-                        strSQL += ", " + CurRec.OperatingExpenses.ToString();
-                        strSQL += ", " + CurRec.ConsumptionTax.ToString();
-                        strSQL += ", " + CurRec.CooperationRate.ToString();
-                        strSQL += ",'" + CurRec.ExcelSavePath + "'";
-
-                        strSQL += ", " + CurRec.BusinessPeriod.ToString();
-                        strSQL += ", " + CurRec.ConstructionYear.ToString();
-                        strSQL += ",'" + CurRec.BusinessBeginningDate + "'";
-                        strSQL += ",'" + CurRec.ConstructionBeginningDate + "'";
-                        strSQL += ", " + CurRec.ConstructionNoBase.ToString();
-
-                        strSQL += ",'" + CurRec.SloganString1 + "'";
-                        strSQL += ",'" + CurRec.SloganString2 + "'";
-                        strSQL += ",'" + CurRec.SloganString3 + "'";
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -8693,6 +6393,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -8723,7 +6424,7 @@
         private bool CnvTermmaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMTerm InDB = new ProcessManagement.OracleDB.IOAccess.IOMTerm();
-            ProcessManagement.MySQLDB.IOAccess.IOMTerm OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMTerm();
+            ProcessManagement.DB.IOAccess.IOMTerm OutDB = new ProcessManagement.DB.IOAccess.IOMTerm();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -8737,52 +6438,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<TermMaster> BuffList = new List<TermMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMTerm.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        TermMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format(" {0}", CurRec.ConstructionStatusFlg.ToString());
-                        strSQL += string.Format(",{0}", CurRec.FieldNo.ToString());
-                        strSQL += string.Format(",{0}", CurRec.SeqNo.ToString());
-                        strSQL += string.Format(",{0}", CurRec.DisplayOrder);
-                        strSQL += string.Format(",{0}", CurRec.CheckSchdule.ToString());
-                        strSQL += string.Format(",{0}", CurRec.TermDays.ToString());
-                        strSQL += string.Format(",'{0}'", CurRec.SendTitle);
-                        strSQL += string.Format(",'{0}'", CurRec.SendMessage);
-                        strSQL += string.Format(",'{0}'", CurRec.BackColor);
-                        strSQL += string.Format(",'{0}'", CurRec.ForeColor);
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -8789,6 +6458,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -8819,7 +6489,7 @@
         private bool CnvTranceportdailydata(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOTranceportDailyData InDB = new ProcessManagement.OracleDB.IOAccess.IOTranceportDailyData();
-            ProcessManagement.MySQLDB.IOAccess.IOTranceportDailyData OutDB = new ProcessManagement.MySQLDB.IOAccess.IOTranceportDailyData();
+            ProcessManagement.DB.IOAccess.IOTranceportDailyData OutDB = new ProcessManagement.DB.IOAccess.IOTranceportDailyData();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -8833,54 +6503,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<TranceportDailyData> BuffList = new List<TranceportDailyData>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOTranceportDailyData.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        TranceportDailyData CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.PersonCode);                      // 担当者コード
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
-                                                    , CurRec.AttendanceDate.ToShortDateString()); // 日報作成日
-
-                        strSQL += string.Format(", {0}", CurRec.StartDistance);                   // 当日出発キロ数
-                        strSQL += string.Format(", {0}", CurRec.ComplateDistance);                // 当日終了キロ数
-                        strSQL += string.Format(", {0}", CurRec.TotalDistance);                   // 当日合計キロ数
-                        strSQL += string.Format(", {0}", CurRec.OfficeGoFlg);                     // 事務所出勤フラグ
-                        strSQL += string.Format(", {0}", CurRec.OfficeOutFlg);                    // 事務所帰宅フラグ
-                        strSQL += string.Format(", {0}", CurRec.TrancePayGoFlg);                  // 有料通勤出勤フラグ
-                        strSQL += string.Format(", {0}", CurRec.TrancePayOutFlg);                 // 有料通勤帰宅フラグ
-                        strSQL += string.Format(", {0}", CurRec.WareHouseFlg);                    // 資材置場フラグ
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -8887,6 +6523,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -8917,7 +6554,7 @@
         private bool CnvTypeexpensesmaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMTypeExpenses InDB = new ProcessManagement.OracleDB.IOAccess.IOMTypeExpenses();
-            ProcessManagement.MySQLDB.IOAccess.IOMTypeExpenses OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMTypeExpenses();
+            ProcessManagement.DB.IOAccess.IOMTypeExpenses OutDB = new ProcessManagement.DB.IOAccess.IOMTypeExpenses();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -8931,47 +6568,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<TypeExpensesMaster> BuffList = new List<TypeExpensesMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMTypeExpenses.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        TypeExpensesMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.TypeCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.ExpensesPeriod.ToString());
-                        strSQL += string.Format(", {0}", CurRec.NameCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.ExpensesRaito.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DeleteFlg.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -8978,6 +6588,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -9008,7 +6619,7 @@
         private bool CnvUnitmaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMUnit InDB = new ProcessManagement.OracleDB.IOAccess.IOMUnit();
-            ProcessManagement.MySQLDB.IOAccess.IOMUnit OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMUnit();
+            ProcessManagement.DB.IOAccess.IOMUnit OutDB = new ProcessManagement.DB.IOAccess.IOMUnit();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -9022,45 +6633,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<UnitMaster> BuffList = new List<UnitMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMUnit.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        UnitMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.UnitKey.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder.ToString());
-                        strSQL += string.Format(", '{0}'", CurRec.UnitName);
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -9067,6 +6653,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -9097,7 +6684,7 @@
         private bool CnvVehiclemaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMVehicle InDB = new ProcessManagement.OracleDB.IOAccess.IOMVehicle();
-            ProcessManagement.MySQLDB.IOAccess.IOMVehicle OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMVehicle();
+            ProcessManagement.DB.IOAccess.IOMVehicle OutDB = new ProcessManagement.DB.IOAccess.IOMVehicle();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -9111,62 +6698,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<VehicleMaster> BuffList = new List<VehicleMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMVehicle.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        VehicleMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.VehicleCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder.ToString());
-                        strSQL += string.Format(",'{0}'", CurRec.VehicleName);
-                        strSQL += string.Format(",'{0}'", CurRec.RegistrationNumber.ToString());
-                        strSQL += string.Format(",'{0}'", CurRec.IdentificationNumber.ToString());
-                        strSQL += string.Format(",'{0}'", CurRec.ModelCode);
-                        strSQL += string.Format(", {0}", CurRec.DepartmentCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.VehicleScheduleFlg.ToString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%dD')", CurRec.PurchaseDate.ToShortDateString());
-                        strSQL += string.Format(",'{0}'", CurRec.PurchaseName);
-                        strSQL += string.Format(",'{0}'", CurRec.PurchaseContactPersons);
-                        strSQL += string.Format(",'{0}'", CurRec.PurchasePhone);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.LeaseDate.ToShortDateString());
-                        strSQL += string.Format(",'{0}'", CurRec.LeaseDestination);
-                        strSQL += string.Format(",'{0}'", CurRec.LeaseContactPersons);
-                        strSQL += string.Format(",'{0}'", CurRec.LeasePhone);
-                        strSQL += string.Format(",'{0}'", CurRec.InsuranceCompany);
-                        strSQL += string.Format(",'{0}'", CurRec.InsuranceContactPersons);
-                        strSQL += string.Format(",'{0}'", CurRec.InsurancePhone);
-                        strSQL += string.Format(",'{0}'", CurRec.Note);
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -9173,6 +6718,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -9203,7 +6749,7 @@
         private bool CnvVehiclerecorddata(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMVehicleRecordData InDB = new ProcessManagement.OracleDB.IOAccess.IOMVehicleRecordData();
-            ProcessManagement.MySQLDB.IOAccess.IOMVehicleRecordData OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMVehicleRecordData();
+            ProcessManagement.DB.IOAccess.IOMVehicleRecordData OutDB = new ProcessManagement.DB.IOAccess.IOMVehicleRecordData();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -9217,49 +6763,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<VehicleRecordData> BuffList = new List<VehicleRecordData>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMVehicleRecordData.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        VehicleRecordData CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.VehicleCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DivisionCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.SeqNo.ToString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.RecordDate.ToShortDateString());
-                        strSQL += string.Format(", {0}", CurRec.Mileage.ToString());
-                        strSQL += string.Format(",'{0}'", CurRec.Content);
-                        strSQL += string.Format(", {0}", CurRec.PaymentCost.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -9266,6 +6783,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -9296,7 +6814,7 @@
         private bool CnvVehiclescheduledata(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOVehicleScheduleData InDB = new ProcessManagement.OracleDB.IOAccess.IOVehicleScheduleData();
-            ProcessManagement.MySQLDB.IOAccess.IOVehicleScheduleData OutDB = new ProcessManagement.MySQLDB.IOAccess.IOVehicleScheduleData();
+            ProcessManagement.DB.IOAccess.IOVehicleScheduleData OutDB = new ProcessManagement.DB.IOAccess.IOVehicleScheduleData();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -9310,49 +6828,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<VehicleScheduleData> BuffList = new List<VehicleScheduleData>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOVehicleScheduleData.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        VehicleScheduleData CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format(" STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.TargetDate.ToShortDateString());
-                        strSQL += string.Format(", {0}", CurRec.VehicleCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.MorningAfternoon.ToString());
-                        strSQL += string.Format(", {0}", CurRec.PersonCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.TargetYear.ToString());
-                        strSQL += string.Format(", {0}", CurRec.TargetMonth.ToString());
-                        strSQL += string.Format(", {0}", CurRec.TargetDay.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -9359,6 +6848,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
Index: branches/ddl/DataConert/DataConert/FrmDataConvert.cs
===================================================================
--- branches/ddl/DataConert/DataConert/FrmDataConvert.cs	(revision 96)
+++ branches/ddl/DataConert/DataConert/FrmDataConvert.cs	(revision 97)
@@ -15,9 +15,9 @@
 using ProcessManagement.OracleDB.Core;
 using ProcessManagement.OracleDB.IOAccess;
 
-using ProcessManagement.MySQLDB.MySql;
-using ProcessManagement.MySQLDB.Core;
-using ProcessManagement.MySQLDB.IOAccess;
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DB.IOAccess;
 
 using ProcessManagement.DataModel;
 using ProcessManagement.Common;
@@ -147,7 +147,7 @@
         {
             // 共通クラス初期化
             DBCommonForOracle.Instance.Initialize();
-            DBCommonForMySQL.Instance.Initialize();
+            DBCommon.Instance.Initialize();
         }
 
         private void btnStart_Click(object sender, EventArgs e)
